# ezQuake Manual: Player Settings Variables

## bottomcolor

### Description

Sets the pants color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## b_switch

### Description

This variable allows you to define the highest weapon that the client should switch to upon a backpack pickup. The possible arguments of "b_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

## msg

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Maximum reporting of messages.
1 | Parsed reporting of messages.
2 | Limited reporting of messages.
3 | Minimal reporting of messages.
4 | No reporting of messages.

## name

### Description

Player's name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: player

Variable is string.

## noaim

### Description

This variable toggles whether a server-sided aiming-help should be used when shooting rockets (not possible when the server variable "sv_aim" is set to "0").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Disable server-side aiming help for rockets.
0 | Enable server-side aiming help for rockets (if allowed by the server).

## rate

### Description

Sets the maximum amount of bytes per second that the server should send to the client.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 5760

Variable is float.

## skin

### Description

Sets the skin name for the player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## spectator

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

### Values

value | description
1 | Join to server as spectator.
0 | Join to server as player.

## team

### Description

Set the team name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## topcolor

### Description

Sets the shirt color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## w_switch

### Description

This variable allows you to define the highest weapon that the client should switch to when picking it up. The possible arguments of "w_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs